import { AppsCatalogAppCustomFieldPresentation } from 'patchkit_api_foundation';
import { AppBranchState } from "./app_branch_state";
export interface AppState {
    name?: string;
    bannerImageUrl?: string;
    iconImageUrl?: string;
    shortDescription?: string;
    longDescription?: string;
    order: number;
    branches: {
        [branchId: string]: AppBranchState | undefined;
    };
    customFields: {
        [customFieldId: string]: AppsCatalogAppCustomFieldPresentation | undefined;
    };
}
//# sourceMappingURL=app_state.d.ts.map