"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAppBranchDirAsyncExpectedErrorTypes = void 0;
const app_branch_dir_is_already_created_1 = require("./app_branch_dir_is_already_created");
const unauthorized_access_to_app_branch_dir_1 = require("./unauthorized_access_to_app_branch_dir");
const file_is_conflicting_with_app_branch_dir_1 = require("./file_is_conflicting_with_app_branch_dir");
const other_app_branch_dir_is_conflicting_with_app_branch_dir_1 = require("./other_app_branch_dir_is_conflicting_with_app_branch_dir");
const app_branch_dir_is_not_empty_1 = require("./app_branch_dir_is_not_empty");
const app_branch_is_preinstalled_1 = require("./app_branch_is_preinstalled");
exports.createAppBranchDirAsyncExpectedErrorTypes = [
    app_branch_dir_is_already_created_1.AppBranchDirIsAlreadyCreated,
    unauthorized_access_to_app_branch_dir_1.UnauthorizedAccessToAppBranchDir,
    file_is_conflicting_with_app_branch_dir_1.FileIsConflictingWithAppBranchDir,
    other_app_branch_dir_is_conflicting_with_app_branch_dir_1.OtherAppBranchDirIsConflictingWithAppBranchDir,
    app_branch_dir_is_not_empty_1.AppBranchDirIsNotEmpty,
    app_branch_is_preinstalled_1.AppBranchIsPreinstalled,
];
//# sourceMappingURL=create_app_branch_dir_async.js.map