"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchDoesAppBranchDirHasFreeSpaceForRepairTaskAsyncExpectedErrorTypes = void 0;
const app_branch_ongoing_task_is_not_finished_1 = require("./app_branch_ongoing_task_is_not_finished");
const app_branch_dir_does_not_exist_1 = require("./app_branch_dir_does_not_exist");
const unauthorized_access_to_app_branch_dir_1 = require("./unauthorized_access_to_app_branch_dir");
const app_branch_is_preinstalled_1 = require("./app_branch_is_preinstalled");
const app_branch_auth_key_is_invalid_1 = require("./app_branch_auth_key_is_invalid");
const app_branch_auth_key_is_expired_1 = require("./app_branch_auth_key_is_expired");
const app_branch_license_key_is_required_1 = require("./app_branch_license_key_is_required");
const app_branch_license_key_is_invalid_1 = require("./app_branch_license_key_is_invalid");
const app_branch_license_key_is_blocked_1 = require("./app_branch_license_key_is_blocked");
const app_branch_password_is_invalid_1 = require("./app_branch_password_is_invalid");
exports.fetchDoesAppBranchDirHasFreeSpaceForRepairTaskAsyncExpectedErrorTypes = [
    app_branch_ongoing_task_is_not_finished_1.AppBranchOngoingTaskIsNotFinished,
    app_branch_dir_does_not_exist_1.AppBranchDirDoesNotExist,
    unauthorized_access_to_app_branch_dir_1.UnauthorizedAccessToAppBranchDir,
    app_branch_is_preinstalled_1.AppBranchIsPreinstalled,
    app_branch_auth_key_is_invalid_1.AppBranchAuthKeyIsInvalid,
    app_branch_auth_key_is_expired_1.AppBranchAuthKeyIsExpired,
    app_branch_license_key_is_required_1.AppBranchLicenseKeyIsRequired,
    app_branch_license_key_is_invalid_1.AppBranchLicenseKeyIsInvalid,
    app_branch_license_key_is_blocked_1.AppBranchLicenseKeyIsBlocked,
    app_branch_password_is_invalid_1.AppBranchPasswordIsInvalid,
];
//# sourceMappingURL=fetch_does_app_branch_dir_has_free_space_for_repair_task_async.js.map