"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startAppBranchMoveTaskAsyncExpectedErrorTypes = void 0;
const app_branch_ongoing_task_is_not_finished_1 = require("./app_branch_ongoing_task_is_not_finished");
const app_branch_dir_does_not_exist_1 = require("./app_branch_dir_does_not_exist");
const unauthorized_access_to_app_branch_dir_1 = require("./unauthorized_access_to_app_branch_dir");
const unauthorized_access_to_app_branch_new_dir_1 = require("./unauthorized_access_to_app_branch_new_dir");
const file_is_conflicting_with_app_branch_new_dir_1 = require("./file_is_conflicting_with_app_branch_new_dir");
const app_branch_new_dir_is_not_empty_1 = require("./app_branch_new_dir_is_not_empty");
const app_branch_is_preinstalled_1 = require("./app_branch_is_preinstalled");
exports.startAppBranchMoveTaskAsyncExpectedErrorTypes = [
    app_branch_ongoing_task_is_not_finished_1.AppBranchOngoingTaskIsNotFinished,
    app_branch_dir_does_not_exist_1.AppBranchDirDoesNotExist,
    unauthorized_access_to_app_branch_dir_1.UnauthorizedAccessToAppBranchDir,
    unauthorized_access_to_app_branch_new_dir_1.UnauthorizedAccessToAppBranchNewDir,
    file_is_conflicting_with_app_branch_new_dir_1.FileIsConflictingWithAppBranchNewDir,
    app_branch_new_dir_is_not_empty_1.AppBranchNewDirIsNotEmpty,
    app_branch_is_preinstalled_1.AppBranchIsPreinstalled,
];
//# sourceMappingURL=start_app_branch_move_task_async.js.map