import * as _ from './_';
import { AppState } from "./app_state";
export interface State {
    id: string;
    versionLabel: string;
    operatingSystemType: _.OperatingSystemType;
    isInitialized: boolean;
    isWindowMinimized: boolean;
    isWindowMaximized: boolean;
    langTag: string;
    agreements: {
        [agreementId: string]: _.AgreementState | undefined;
    };
    apps: {
        [appId: string]: AppState | undefined;
    };
    doesQuitTaskExist: boolean;
}
//# sourceMappingURL=state.d.ts.map