import { AppsCatalogAppCustomFieldPresentation } from 'patchkit_api_foundation';
import { AppBranchInfo } from './app_branch_info';
export interface AppInfo {
    name?: string;
    bannerImageUrl?: string;
    iconImageUrl?: string;
    shortDescription?: string;
    longDescription?: string;
    order: number;
    branches: {
        [branchId: string]: AppBranchInfo | undefined;
    };
    customFields: {
        [customFieldId: string]: AppsCatalogAppCustomFieldPresentation | undefined;
    };
}
//# sourceMappingURL=app_info.d.ts.map