"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startAppBranchAsyncExpectedErrorTypes = void 0;
const app_branch_ongoing_task_is_not_finished_1 = require("./app_branch_ongoing_task_is_not_finished");
const app_branch_is_already_started_1 = require("./app_branch_is_already_started");
const app_branch_dir_does_not_exist_1 = require("./app_branch_dir_does_not_exist");
const unauthorized_access_to_app_branch_dir_1 = require("./unauthorized_access_to_app_branch_dir");
const app_branch_is_not_installed_1 = require("./app_branch_is_not_installed");
const app_branch_needs_repair_1 = require("./app_branch_needs_repair");
exports.startAppBranchAsyncExpectedErrorTypes = [
    app_branch_ongoing_task_is_not_finished_1.AppBranchOngoingTaskIsNotFinished,
    app_branch_is_already_started_1.AppBranchIsAlreadyStarted,
    app_branch_dir_does_not_exist_1.AppBranchDirDoesNotExist,
    unauthorized_access_to_app_branch_dir_1.UnauthorizedAccessToAppBranchDir,
    app_branch_is_not_installed_1.AppBranchIsNotInstalled,
    app_branch_needs_repair_1.AppBranchNeedsRepair,
];
//# sourceMappingURL=start_app_branch_async.js.map