"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startAppBranchInstallTaskAsyncExpectedErrorTypes = void 0;
const app_branch_ongoing_task_is_not_finished_1 = require("./app_branch_ongoing_task_is_not_finished");
const app_branch_dir_does_not_exist_1 = require("./app_branch_dir_does_not_exist");
const unauthorized_access_to_app_branch_dir_1 = require("./unauthorized_access_to_app_branch_dir");
const app_branch_needs_repair_1 = require("./app_branch_needs_repair");
const starting_app_branch_task_is_forbidden_1 = require("./starting_app_branch_task_is_forbidden");
const app_branch_is_already_installed_1 = require("./app_branch_is_already_installed");
const app_branch_is_preinstalled_1 = require("./app_branch_is_preinstalled");
exports.startAppBranchInstallTaskAsyncExpectedErrorTypes = [
    app_branch_ongoing_task_is_not_finished_1.AppBranchOngoingTaskIsNotFinished,
    app_branch_dir_does_not_exist_1.AppBranchDirDoesNotExist,
    unauthorized_access_to_app_branch_dir_1.UnauthorizedAccessToAppBranchDir,
    app_branch_needs_repair_1.AppBranchNeedsRepair,
    starting_app_branch_task_is_forbidden_1.StartingAppBranchTaskIsForbidden,
    app_branch_is_already_installed_1.AppBranchIsAlreadyInstalled,
    app_branch_is_preinstalled_1.AppBranchIsPreinstalled,
];
//# sourceMappingURL=start_app_branch_install_task_async.js.map